module Gallus
  module Format
    class SimpleLog
      def call(event)
        message = [ event.message, event.payload ].compact.join('; ')
        format("%s @ %s $ %s > %s", event.level.name[0], event.recorded_at.iso8601, event.logger, message)
      end
    end
  end
end
