module Gallus
  module Logging
    def self.included(klass)
      klass.extend(ClassMethods)
    end

    def log
      self.class.log
    end

    module ClassMethods
      def log
        @log ||= ::Gallus::Log.configure(self.name)
      end
    end
  end
end
