module Perfume
  module CoreExt
    module Dir
      # Public: A helper that's a fusion of Dir.mktmpdir and Dir.chdir. Lazieness FTW!
      def chtmpdir(&block)
        ::Dir.mktmpdir do |dir|
          ::Dir.chdir(dir) do
            yield dir
          end
        end
      end
    end
  end
end

Dir.extend(Perfume::CoreExt::Dir)
